Padre::Constant(3pm)

NAME
Padre::Constant - constants used by configuration subsystems

SYNOPSIS
    use Padre::Constant ();
    [...]
    # do stuff with exported constants

DESCRIPTION
Padre uses various configuration subsystems (see "Padre::Config" for more information). Those systems needs to somehow agree on some basic stuff, which is defined in this module.

CONSTANTS

  "WIN32", "MAC", "UNIX"
Operating Systems.

  "BOOLEAN", "POSINT", "INTEGER", "ASCII", "PATH"
Settings data types (based on Firefox types).

  "HOST", "HUMAN", "PROJECT"
Settings storage back-ends.

  "PADRE_REVISION"
The SVN Revision (when running a development build).

  "PADRE_BLACK", "PADRE_BLUE", "PADRE_RED", "PADRE_GREEN", "PADRE_MAGENTA", "PADRE_ORANGE", "PADRE_DIM_GRAY", "PADRE_CRIMSON", "PADRE_BROWN", "PADRE_WARNING", "PADRE_ERROR"
Core supported colours.

  "CONFIG_HOST"
DB configuration file storing host settings.

  "CONFIG_HUMAN"
YAML configuration file storing user settings.

  "CONFIG_DIR"
Private Padre configuration directory Padre, used to store stuff.

  "PLUGIN_DIR"
Private directory where Padre can look for plug-ins.

  "PLUGIN_LIB"
Subdirectory of "PLUGIN_DIR" with the path "Padre/Plugin" added (or whatever depending on your platform) so that Perl can load a "Padre::Plugin::" plug-in.

  "LOG_FILE"
Path and name of Padre's log file.

  "NEWLINE"
Newline style (UNIX, WIN or MAC) on the currently used operating system.

COPYRIGHT & LICENSE
Copyright 2008 - 2010 The Padre development team as listed in Padre.pm.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5 itself.